SPIP-Contrib

SPIP-Contrib

عربي | Deutsch | English | Español | français | italiano | Nederlands

288 Plugins, 197 contribs sur SPIP-Zone, 288 visiteurs en ce moment

Accueil > Navigation > Mots obligatoires > Mots obligatoires

Mots obligatoires

24 octobre 2016 – par Maïeul – commentaires

10 votes

La configuration avancée des mots-clés de SPIP permet de dire qu’un groupe de mots-clés est important. Cependant, même quand un groupe de mots-clés est marqué comme important, il est possible de publier des objets (articles par exemple) qui ne possèdent pas de mots-clef de ce groupe.

Le plugin « mots obligatoires » empêche une telle publication.

Installation du plugin

Le plugin s’installe comme n’importe quel plugin. Il nécessite SPIP 3.1.0 ou supérieur.

Utilisation

Lorsque vous configurez un groupe de mots-clés pour être « important », il est impossible de publier un objet qui ne se voit pas attribuer au moins un mot du groupe.

Le formulaire de publication rejette la demande.

Activer la configuration avancée des groupes de mot-clés
Une option disponible en suivant le menu « Configuration »->« Contenu du site ».
Rendre un groupe de mots-clés obligatoire
Lors de la création d’un groupe
Le plugin empêche la publication d’objet lorsqu’il manque un mot-clé d’un groupe marqué comme important

Emploi avec le plugin Motus

Si vous utilisez le plugin Motus, le plugin n’empêche pas la publication d’objet lorsque le groupe de mots-clés obligatoire est réservé à une rubrique dans laquelle ne se trouve pas l’objet en question.

En revanche, si vous déplacez l’objet de rubrique après coup, il ne détectera pas l’absence de mot clef obligatoire.

Limites du plugin

Le plugin :
-  ne permet pas de vérifier que lorsqu’on supprime le mot clef d’un objet, il reste au moins un mot clef du groupe obligatoire affecté à cet objet ;
-  ne gère pas les objets dont la publication dépend de la publication d’autres objets, tels que par exemple les rubriques (publiées lorsqu’un article est publié dedans) ou des évènements (publiés lorsque l’article porteur est publié).

Voir en ligne : http://plugins.spip.net/mots_obliga...

Dernière modification de cette page le 27 mars 2017

Retour en haut de la page

Vos commentaires

Répondre à cet article

Qui êtes-vous ?

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici Les choses à faire avant de poser une question (Prolégomènes aux rapports de bugs. )
Ajouter un document

Retour en haut de la page

Ça discute par ici

  • Adieu l’ami...

    17 juin 2007 – 51 commentaires

    17 juin 2007 - 17 giugno 2007 Bonsoir, Nous venons d’apprendre une triste nouvelle : la mort soudaine de notre ami Bertrand Gugger, aka toggg, geek généreux, au tempérament bien trempé, dont le cœur bourru s’est éteint cette nuit. Il avait 50 (...)

  • Ordoc : ordonner les documents attachés

    3 février – 20 commentaires

    Ordoc est un plugin pour SPIP 3.1 qui ajoute aux listes de documents attachés à des objets éditoriaux (tel que les articles), la possibilité d’ordonner les documents par glisser / déposer. Ordoc ajoute dans listes de documents attachés à des objets (...)

  • Albums 3

    8 août 2014 – 226 commentaires

    Le plugin « Albums » évolue dans une version 3 pour SPIP 3. Avant d’effectuer une mise à jour depuis la version 1 ou 2, consultez les notes sur la rétro-compatibilité. Les modèles, notamment, on reçut quelques changements pour la bonne cause. En (...)

  • Spip2Spip

    21 février 2008 – 160 commentaires

    Spip2spip permet de synchroniser le contenu de plusieurs sites SPIP entre eux en étendant le principe de la syndication thématique. Les articles d’un SPIP sont récopiés d’un site à l’autre en conservant leur formatage (...)

  • GIS Geometries

    19 mars 2014 – 48 commentaires

    Ce plugin ajoute au plugin GIS la possibilité d’afficher et d’éditer des formes géométriques. Avertissement : ce plugin ne fonctionne que sur les sites qui utilisent une base de données MySQL en version 4.1 minimum, car la gestion des données (...)

Ça spipe par là